> For the complete documentation index, see [llms.txt](https://docs.itconductor.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.itconductor.com/user-guide/sid-refresh/troubleshooting/failure-to-start-the-java-based-gui.md).

# Failure to Start the Java-based GUI

### Symptom <a href="#failstostartthejava-basedgui-symptom" id="failstostartthejava-basedgui-symptom"></a>

* You are starting SID-Refresh™ on Linux with the Java-based GUI, and this error appears:

*Exception in thread "main" java.lang.UnsatisfiedLinkError: /usr/java8\_64/jre/lib/ppc64/libawt\_xawt.so (Could not load module /usr/java8\_64/jre/lib/ppc64/libawt\_xawt.so.*

*Dependent module /usr/lib/libXrender.a(shr\_64.o) could not be loaded.*

*Member shr\_64.o is not found in archive*\
\&#xNAN;*Could not load module /usr/java8\_64/jre/lib/ppc64/libawt\_xawt.so.*

*Dependent module /usr/java8\_64/jre/lib/ppc64/libawt\_xawt.so could not be loaded.)*

### Environment <a href="#failstostartthejava-basedgui-environment" id="failstostartthejava-basedgui-environment"></a>

* Linux/Unix Systems

### Cause <a href="#failstostartthejava-basedgui-cause" id="failstostartthejava-basedgui-cause"></a>

* The error is caused by the missing library libXtst.so.6
* The library should be /usr/lib64/libXtst.so.6 (which is a link to /usr/lib64/libXtst.so.6.1.0 ):

*server1:\~ # ls -al /usr/lib64 | grep libXtst.so*\
*lrwxrwxrwx 1 root root 16 Apr 20 00:14 libXtst.so.6 -> libXtst.so.6.1.0 -rwxr-xr-x 1 root root 23016 Nov 10 2016 libXtst.so.6.1.0*\
*server1:\~ #*

### Resolution <a href="#failstostartthejava-basedgui-resolution" id="failstostartthejava-basedgui-resolution"></a>

If neither file is available, install the OS package that contains them:

* On RHEL (6 and 7): yum install libXtst
* On SLES11: zypper install xorg-x11-libs
* On SLES12: zypper install libXtst6


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.itconductor.com/user-guide/sid-refresh/troubleshooting/failure-to-start-the-java-based-gui.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
